.P24Header {
    width: 100%;
    height: 64px;
    padding: 16px;
    border: solid 2px #b3b2b1;
    border-bottom: 3px solid #d1323a;
    color: white;
    font-size: 30px;
    &-Logo {
        width: 85px;
        max-height: 100%;
        margin: 0;
    }
}

.P24Blik {
    display: flex;
    flex-direction: column;
    align-items: center;

    &-logo {
        width: 169px;
        height: 51px;
    }

    &-description {
        margin: 12px auto 6px;
    }

    &-input {
        width: 292px;
        height: 48px;
        left: 50%;
        transform: translateX(-50%);
        text-align: center;
        letter-spacing: 5px;
    }
}

.P24PaymentMethods {
    display: grid;
    max-width: 768px;
    grid-template-columns: repeat(auto-fill, 74px);
    grid-gap: 15px;
    justify-content: space-between;
    &-submit-wrap {
        display: flex;
        width: 100%;
        max-width: 100%;
        flex-direction: column;
        align-items: center;
    }
    &-wrap {
        padding-bottom: 1em;
    }
}

.P24PaymentMethod {
    input {
        width: 0;
        height: 0;
        border: none;
        position: absolute;
    }

    input:checked ~ label {
        border: 1px solid #adf51d;
        border-radius: 8px;
        background: white;
    }

    label {
        display: flex;
        width: 74px;
        height: 40px;
        padding: 7px;
        border-radius: 8px;
        align-items: center;
        justify-content: center;
        background: #f5f5f5;
    }

    img {
        width: auto;
        max-width: 100%;
        max-height: 100%;
    }
}

.Przelewy24-CompleteOrderButtonWrapper {
    margin-top: 1.5rem;
}

.P24PaymentTOC {
    & a {
        margin-left: 0;
    }
}
